Class | PhusionPassenger::FrameworkInitError
In: | lib/phusion_passenger/exceptions.rb
Parent: | InitializationError

Raised when ClassicRails::FrameworkSpawner or ClassicRails::SpawnManager was unable to load a version of the Ruby on Rails framework. The `child_exception` attribute is guaranteed non-nil.

### Methods

new

### Attributes

vendor | [R] |
version | [R] |

### Public Class methods

new(message, child_exception, options)

[Source]

        # File lib/phusion_passenger/exceptions.rb, line 80
    80:         def initialize(message, child_exception, options)
    81:                 super(message, child_exception)
    82:                 if options[:vendor]
    83:                         @vendor = options[:vendor]
    84:                 else
    85:                         @version = options[:version]
    86:                 end
    87:         end

[Validate]